package com.jz.common.enums;

import com.github.pagehelper.parser.SqlServer;

/**
 * 删除标识
 *
 * @author Bellamy
 * @since 2020-11-30 14:30:23
 */
public enum DatasourceTypeEnum {
    MySQL("mysql", 1),
    SqlServer("SqlServer", 2),
    PostgreSQL("PostgreSQL", 3),
    Oracle("Oracle", 4),
    DM("DM", 5),
    DB2("DB2", 6),
    Hive("Hive", 7),
    Impala("Impala", 8),
    Kudu("Kudu", 9),
    HDFS("HDFS", 10),
    SFTP("SFTP", 11),
    Elasticsearch("Elasticsearch", 12),
    Informix("Informix", 21),
    ;

    private String code;

    private int value;

    private DatasourceTypeEnum(String code, int value) {
        this.code = code;
        this.value = value;
    }

    public static DatasourceTypeEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (DatasourceTypeEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }
}
