package com.jz.common.enums;

/**
 * 任务树类型
 *
 * @author Bellamy
 * @since 2021-01-04 14:30:23
 */
public enum TaskTreeTypeEnum {
    /**
     * 离线同步
     */
    SYNC("SYNC", "01"),

    /**
     * 实时同步
     */
    SSTB("SSTB", "02"),

    /**
     * 数据开发
     */
    SJKF("SJKF", "03"),

    /**
     * SHELL
     */
    SHELL("SHELL", "04"),

    /**
     * SQL
     */
    SQL("SQL", "05"),

    ;

    private String code;

    private String value;

    private TaskTreeTypeEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static TaskTreeTypeEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (TaskTreeTypeEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }
}
