package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName: SoureAndTargetColumnsReq
 * @Description: 获取源表和目标表的字段
 * @Author：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
@ApiModel(value = "获取源表和目标表的字段-请求参数对象", description = "获取源表和目标表的字段-请求参数对象")
public class SoureAndTargetColumnsReq implements Serializable {
    private static final long serialVersionUID = -2235510265678437967L;
    /*
     * 源数据库ID
     * */
    @NotNull(message = "源数据库ID不能为空")
    @ApiModelProperty(value = "源数据库ID")
    private Long sourceDbId;

    @NotNull(message = "目标数据库ID不能为空")
    @ApiModelProperty(value = "目标数据库ID")
    private Long targetDbId;

    @NotNull(message = "目标表名称不能为空")
    @NotEmpty(message = "目标表名称不能为空")
    @ApiModelProperty(value = "目标表名称")
    private String targetTableName;

    @ApiModelProperty(value = "源字段类型")
    private String fileType;

    private String csvDelimiter;

    private String csvIsHaveHeader;

    public Long getSourceDbId() {
        return sourceDbId;
    }

    public void setSourceDbId(Long sourceDbId) {
        this.sourceDbId = sourceDbId;
    }

    public Long getTargetDbId() {
        return targetDbId;
    }

    public void setTargetDbId(Long targetDbId) {
        this.targetDbId = targetDbId;
    }

    public String getTargetTableName() {
        return targetTableName;
    }

    public void setTargetTableName(String targetTableName) {
        this.targetTableName = targetTableName;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getCsvDelimiter() {
        return csvDelimiter;
    }

    public void setCsvDelimiter(String csvDelimiter) {
        this.csvDelimiter = csvDelimiter;
    }

    public String getCsvIsHaveHeader() {
        return csvIsHaveHeader;
    }

    public void setCsvIsHaveHeader(String csvIsHaveHeader) {
        this.csvIsHaveHeader = csvIsHaveHeader;
    }
}
