package com.jz.dmp.modules.controller.bean;

import java.util.ArrayList;
import java.util.List;
import org.springframework.beans.BeanUtils;
import com.jz.dmp.modules.model.DmpTableFieldSchema;

public class MyDmpTableFieldSchemaConverter {
	
	private static MyDmpTableFieldSchemaConverter instance;
	
	private MyDmpTableFieldSchemaConverter() {};
	
	public synchronized static MyDmpTableFieldSchemaConverter INSTANCE() {
		if (instance==null) {
			instance = new MyDmpTableFieldSchemaConverter();
		}
		
		return instance;
	}
	
	public DmpTableFieldSchemaDto domain2dto(DmpTableFieldSchema dmpTableFieldSchema) {
		DmpTableFieldSchemaDto dmpTableFieldSchemaDto = new DmpTableFieldSchemaDto();
		BeanUtils.copyProperties(dmpTableFieldSchema, dmpTableFieldSchemaDto);
		
		return dmpTableFieldSchemaDto;
	}
	
	public List<DmpTableFieldSchemaDto> domain2dto(List<DmpTableFieldSchema> dmpTableFieldSchemas) {
		List<DmpTableFieldSchemaDto> dmpTableFieldSchemaDtos = new ArrayList<DmpTableFieldSchemaDto>();
		dmpTableFieldSchemas.stream().forEach(x -> {
			dmpTableFieldSchemaDtos.add(domain2dto(x));
		});
		
		return dmpTableFieldSchemaDtos;
	}
	
	public DmpTableFieldSchema dto2domain(DmpTableFieldSchemaDto dmpTableFieldSchemaDto) {
		DmpTableFieldSchema dmpTableFieldSchema = new DmpTableFieldSchema();
		BeanUtils.copyProperties(dmpTableFieldSchemaDto, dmpTableFieldSchema);
		
		return dmpTableFieldSchema;
	}
	
	public List<DmpTableFieldSchema> dto2domain(List<DmpTableFieldSchemaDto> dmpTableFieldSchemaDtos) {
		List<DmpTableFieldSchema> dmpTableFieldSchemas = new ArrayList<DmpTableFieldSchema>();
		dmpTableFieldSchemaDtos.stream().forEach(x -> {
			dmpTableFieldSchemas.add(domain2dto(x));
		});
		
		return dmpTableFieldSchemas;
	}

}
