package com.jz.dmp.modules.controller.sys;

import java.util.Date;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.constant.StatuConstant;
import com.jz.dmp.modules.service.sys.SystemCommonService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 系统公共服务
 * @author ybz
 *
 */
@RestController
@RequestMapping("/sys/common")
@Api(tags = "系统公共服务")
public class SystemCommonController {
	
	@Autowired
	private SystemCommonService systemCommonService;
	
	/**获取防止重复提交token
	 * @param dmpMemberRequest
	 * @return
	 */
	@RequestMapping(method = RequestMethod.GET, value = "/getResubmitToken")
	@ApiOperation(value = "获取防止重复提交token", notes = "获取防止重复提交token")
	public BaseBeanResponse<String> getResubmitToken(HttpServletRequest httpRequest){
		BaseBeanResponse<String> baseBeanResponse = new BaseBeanResponse<String>();
		try {
			baseBeanResponse = systemCommonService.getResubmitToken(httpRequest);
		} catch (Exception e) {
			baseBeanResponse.setMessage("获取失败");
			baseBeanResponse.setCode(StatuConstant.FAILURE_CODE);
			e.printStackTrace();
		}
		
		return baseBeanResponse;
	}
	
	/**根据调度生成时间
	 * @param corn
	 * @return
	 */
	@RequestMapping(method = RequestMethod.GET, value = "/getCornTimes")
	@ApiOperation(value = "根据调度生成时间", notes = "根据调度生成时间")
	public BaseBeanResponse<String> getCornTimes(String corn, HttpServletRequest httpRequest){
		BaseBeanResponse<String> baseBeanResponse = new BaseBeanResponse<String>();
		try {
			baseBeanResponse = systemCommonService.getCornTimes(corn ,httpRequest);
		} catch (Exception e) {
			baseBeanResponse.setMessage("获取失败");
			baseBeanResponse.setCode(StatuConstant.FAILURE_CODE);
			e.printStackTrace();
		}
		
		return baseBeanResponse;
	}
	
}
