<#if name??>
{
	"name":"hdfs-sink-connector-${name}",
	"config":
</#if>
	{
		"connector.class":"io.confluent.connect.hdfs.HdfsSinkConnector",
		"tasks.max": "3",
		"flush.size": "200000",
		"topics": "${topic!}",
		"format.class": "io.confluent.connect.hdfs.parquet.ParquetFormat",
		<#if databaseName??>
		"hdfs.url": "${jdbcUrl?replace(('/'+databaseName!),'')}",
		<#else>
		"hdfs.url": "${jdbcUrl!}",
		</#if>
		"hdfs.authentication.kerberos": "${connectorSecurityFlag}",
		<#if connectorSecurityFlag == "true">
		"hdfs.namenode.principal": "${hdfsNamenodePrincipal!}",
		"connect.hdfs.principal": "${hdfsNamenodePrincipal!}",
		"connect.hdfs.keytab": "${keytabLocation!}",
		</#if>
		"hive.metastore.uris": "${hiveMetastoreUris!}",
		"connect.hdfs.desensitise.columns": "${desensitizationField!}",
		"connect.hdfs.desensitise.algorithm": "${arithmetic!}",
		"connect.hdfs.desensitise.sharesecret": "${shareKey!}",
		"hive.integration":"true",
		"schema.compatibility": "BACKWARD",
		"hive.conf.dir": "/opt/cloudera/parcels/CDH/lib/hive/conf",
		"hive.home": "/opt/cloudera/parcels/CDH/lib/hive",
		"partitioner.class": "io.confluent.connect.hdfs.partitioner.DailyPartitioner",
		"locale": "CHINA",
		"timezone": "Asia/Shanghai",
		"rotate.interval.ms": "300000",
		"logs.dir": "hdfssink/logs/${databaseName!}",
		"topics.dir": "hdfssink/data/${databaseName!}",
		"hive.database": "${databaseName!}",
		"consumer.auto.offset.reset": "earliest"
	}
<#if name??>
}
</#if>
